post
https://yourServer.jamfcloud.com/JSSResource/computers/id/
Certificates and mdm_capable are ignored.
Jamf Pro API equivalent available:POST /api/v3/computers-inventory/{id}/attachments. The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
Computer resources include hundreds of data points. While there are many more that can be used to create new computer resources via the API, the sample request body below includes elements that are either required fields or not overwritten during the inventory submission process for managed devices. For a more complete list of elements and data points that can be set for a computer resource, perform a GET to a managed device, using the response body to reference supported objects/elements.
<computer>
<general>
<name>adminās MacBook Pro</name>
<serial_number>C02Q7KHTGFWD</serial_number>
<udid>EBBFF74D-C6B7-5589-93A9-19E8BDFEDE33</udid>
<barcode_1/>
<barcode_2/>
<asset_tag/>
<remote_management>
<managed>true</managed>
<management_username>jamfadmin</management_username>
<management_password>string</management_password>
</remote_management>
<site>
<id>-1</id>
<name>None</name>
</site>
</general>
<location>
<username/>
<realname/>
<real_name/>
<email_address/>
<position/>
<phone/>
<phone_number/>
<department/>
<building/>
<room/>
</location>
<purchasing>
<is_purchased>true</is_purchased>
<is_leased>false</is_leased>
<po_number/>
<vendor/>
<applecare_id>test</applecare_id>
<purchase_price/>
<purchasing_account/>
<po_date/>
<po_date_epoch>0</po_date_epoch>
<po_date_utc/>
<warranty_expires/>
<warranty_expires_epoch>0</warranty_expires_epoch>
<warranty_expires_utc/>
<lease_expires/>
<lease_expires_epoch>0</lease_expires_epoch>
<lease_expires_utc/>
<life_expectancy>0</life_expectancy>
<purchasing_contact/>
<os_applecare_id/>
<os_maintenance_expires/>
<attachments/>
</purchasing>
<extension_attributes>
<extension_attribute>
<id>2</id>
<value/>
</extension_attribute>
</extension_attributes>
</computer> 201Created